=== internal/tinyxml2-3.0.0/Makefile ===
all: xmltest
xmltest: xmltest.cpp tinyxml2.cpp tinyxml2.h
test: clean xmltest
	./xmltest
clean:
	rm -f *.o xmltest
