=== debian/control ===
Source: encfs
Section: utils
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization1.42-dev, libboost-filesystem1.42-dev | libboost-filesystem-dev, quilt
Standards-Version: 3.8.4

Package: encfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fuse-utils
Description: encrypted virtual filesystem
 EncFS integrates file system encryption into the Unix(TM) file system.
 Encrypted data is stored within the native file system, thus no
 fixed-size loopback image is required.
 .
 EncFS uses the FUSE kernel driver and library as a backend.
