## encfs 1.7.2

=== debian/changelog ===
encfs (1.7.2-1) unstable; urgency=high

  * New upstream release dealing with security issues (closes: #595998)

 -- Eduard Bloch <blade@debian.org>  Thu, 16 Sep 2010 15:43:04 +0200

encfs (1.7.1-1) experimental; urgency=high

  * New upstream release (closes: #594963)
  * debian/patches/i18n_updates: rediffed to match new offsets
  * debian/rules: now really removing outdated de_* locales files in the
    package (closes: #354226)
  * Updated lintian overrides

 -- Eduard Bloch <blade@debian.org>  Wed, 01 Sep 2010 22:40:26 +0200
