=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization1.42-dev, libboost-filesystem1.42-dev | libboost-filesystem-dev, quilt
 Standards-Version: 3.8.4
+Homepage: http://www.arg0.net/encfs
 
 Package: encfs
 Architecture: any
