=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	# Add here commands to install the package into debian/encfs.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/encfs
 	cp debian/overrides.lintian "$(CURDIR)/debian/encfs/usr/share/lintian/overrides/encfs"
+	rm -r debian/encfs/usr/share/locale/de_*
 
 # Build architecture-independent files here.
 binary-indep: build install
