## encfs 1.7.4

=== debian/changelog ===
encfs (1.7.4-2) unstable; urgency=low

  * Corrected lintian overrides, policy setting

 -- Eduard Bloch <blade@debian.org>  Mon, 27 Dec 2010 21:09:57 +0100

encfs (1.7.4-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 27 Dec 2010 20:55:47 +0100
