=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 5.0), librlog-dev, librlog5, libfuse-dev (>> 2.6), libssl-dev (>> 0.9.8), pkg-config, libboost-serialization1.42-dev, libboost-filesystem1.42-dev | libboost-filesystem-dev, quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.arg0.net/encfs
 
 Package: encfs
