=== debian/rules ===
--- 
+++ 
@@ -99,6 +99,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+#	dh_builddeb -v -- -Zlzma -z9
 	dh_builddeb
 
 binary: binary-indep binary-arch
