## encfs 1.8.1

=== debian/changelog ===
encfs (1.8.1-3) unstable; urgency=low

  * Enforce GCC5 transition through Build-Depends

 -- Eduard Bloch <blade@debian.org>  Mon, 03 Aug 2015 20:49:51 +0200

encfs (1.8.1-2) unstable; urgency=medium

  * Disabled automatic tests in buildd build (required fuse. Closes: #792061)

 -- Eduard Bloch <blade@debian.org>  Mon, 13 Jul 2015 22:03:31 +0200

encfs (1.8.1-1) unstable; urgency=medium

  * New upstream version
    + supports --delaymount (closes: #724045)
  * New debconf translations:
    Italian (Beatrice Torracca, closes: #765796)
    French (Julien Patriarca, closes: #766018)
    Dutch (Frans Spiesschaert, closes: #766541)
    Portuguese (Traduz!, Ricardo Silva, closes: #767396)
    Spanish (Camaleón, closes: #773460)
  * Spelling error fix in some German translations (closes: #733331)

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Jul 2015 20:03:01 +0200

encfs (1.7.4-5) unstable; urgency=medium

  * Changed the security information message code to display it only once
    (user complaint; this plus the NEWS message are flashy enough)
  * New debconf translations:
    Russian from Yuri Kozlov (closes: #764610)
    Czech from Michal Simunek (closes: #764685)
    Danish from Joe Dalton (closes: #764966)
    German from Chris Leick (closes: #765170)
    Brazilian Portuguese from Adriano Rafael (closes: #765700)

 -- Eduard Bloch <blade@debian.org>  Fri, 17 Oct 2014 21:07:15 +0200

encfs (1.7.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on mips and mipsel.
    Add use-pic-flag.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #765465.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 15 Oct 2014 12:49:40 +0100

encfs (1.7.4-4) unstable; urgency=medium

  * Switched packaging to dh(7) style
  * Enabled hardening
  * Policy standards update
  * Added Debconf warning and explanation in NEWS.Debian about data
    safety issues

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Oct 2014 20:05:57 +0200

encfs (1.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "[PATCH] Fixing FTBFS on i386 and kfreebsd-i386":
    - debian/rules: use DEB_HOST_MULTIARCH to tell configure where to find
      boost libraries
    - debian/control: build-depend on dpkg-dev >= 1.16.0
    (Closes: #745792)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jul 2014 23:24:43 +0200

encfs (1.7.4-3) unstable; urgency=low

  * NMUs confirmed (closes: #634217, #621181, #613289, #629326)
  * Removed patch with useless config.log inside (closes: #630436)
  * Added workaround for broken boost checks, retrying explicitly with
    multiarch lib directory (closes: #741810)
  * Fixed the second build in a row, ignoring minor mistakes in pod files
    reported with latest pod2man version as fatal error

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Apr 2014 20:35:24 +0200

encfs (1.7.4-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add kfreebsd-any to Architecture list, and fix fuse-utils dependency
    to make encfs buildable and installable on GNU/kFreeBSD.  (Closes: #634217)

 -- Robert Millan <rmh@debian.org>  Tue, 29 Nov 2011 06:45:54 +0000

encfs (1.7.4-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Switch to unversioned Boost build-dependencies.
    (Closes: #630436).

 -- Steve M. Robbins <smr@debian.org>  Fri, 22 Jul 2011 23:49:50 -0500

encfs (1.7.4-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Remove references to other libraries from the
    dependency_libs field in libencfs.la (Closes: #621181).

 -- Luk Claes <luk@debian.org>  Thu, 26 May 2011 08:28:55 +0200

encfs (1.7.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use Architecture linux-any, fuse-utils does not exist on
    kfreebsd (Closes: #613289).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 14 Mar 2011 09:40:16 +0100
