## encfs 1.9.1

=== debian/changelog ===
encfs (1.9.1-4) unstable; urgency=high

  * Cherry-picked from upstream:
    + Replaced zero_pwd_segfault patch with another fix from upstream branch
      which forces a clean exit instead of a behavior that confused some encfs
      frontends (closes: #853916)
      (source: 5994b28542e7f551b71ac471ff9aacf6dcd5a3b0 / Jakob Unterwurzacher)
    + improve_example: safer command execution example with quotes ("$*")
      (source: ecc364df0d7269c65d2858039aaeaf27ea0e4da6 / Charles Duffy)

 -- Eduard Bloch <blade@debian.org>  Tue, 14 Feb 2017 23:03:28 +0100

encfs (1.9.1-3) unstable; urgency=medium

  * Uploading to Sid
  * Added experimental patches for kFreeBSD support (thanks to Augustin Martin)
  * More bugfixes pulled from upstream branch:
    + remove usage of deprecated RAND_pseudo_bytes
    + Fix a segfault when password is zero length
    + Miscellaneous small man page fixes (mostly typos)

 -- Eduard Bloch <blade@debian.org>  Mon, 12 Dec 2016 17:38:41 +0100

encfs (1.9.1-2) experimental; urgency=low

  * Fixed build-dependencies: cmake 3.2 or newer (closes: #828293)

 -- Eduard Bloch <blade@debian.org>  Tue, 15 Nov 2016 19:48:53 +0100

encfs (1.9.1-1) experimental; urgency=low

  * New upstream release
    + handles recursive directory traversal (closes: #805568)
  * watch file update (closes: #842287)
  * debian/patches/libssl1.1 -- Experimental SSL 1.1 support from
    master branch (closes: #828293)
  * Swedish debconf translation by Jonatan Nyberg (closes: #822102)
  * Require non-ancient version of mount (closes: #628238)

 -- Eduard Bloch <blade@debian.org>  Sun, 30 Oct 2016 23:37:46 +0100
