## encfs 1.9.2

=== debian/changelog ===
encfs (1.9.2-2build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:11 +0000

encfs (1.9.2-2build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:52 +0000

encfs (1.9.2-2) unstable; urgency=low

  * Move encfs library to a custom folder (closes: #871270)
  * linkatomic.patch: attempt to link with libatomic where available but
    reducing linker references where possible (closes: #872565)
  * Swedish translation update by Jonatan Nyberg (closes: #855365)
  * Fixed references to deprecated fuse-utils package (closes: #872332)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Aug 2017 12:39:00 +0200

encfs (1.9.2-1) unstable; urgency=low

  * New upstream release
  * Verified to build with latest GCC-7 (closes: #853390)
  * Dropped all debian patches (now applied upstream)

 -- Eduard Bloch <blade@debian.org>  Sat, 05 Aug 2017 15:55:43 +0200
